#ifndef MSHOWSPECT_H
#define MSHOWSPECT_H

#ifndef MAGIC_H
#include "MAGIC.h"
#endif

#ifndef MTASK_H
#include "MTask.h"
#endif

class MGDisplayAdc;
class MHFadcCam;
class MParList ;

class MShowSpect : public MTask 
{
private:
    char       fHistName[256] ;

    MHFadcCam *fHists;		// Pointer to Container with the histograms
  
 public:
  
     MShowSpect(const char* histName,
                const char *name=NULL, const char *title=NULL);
  
     Bool_t PreProcess(MParList * pList);
     Bool_t PostProcess();

     ClassDef(MShowSpect, 0)	// Fill the raw ADC in the histograms
};

#endif



